package com.mvista.eclipse.managed.make.core;
import org.eclipse.cdt.managedbuilder.core.IManagedBuildInfo;
import org.eclipse.cdt.managedbuilder.makegen.IManagedBuilderMakefileGenerator;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.resources.IResourceDelta;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.MultiStatus;


public class EmptyMakefileGenerator implements IManagedBuilderMakefileGenerator {

	private IProject project = null;
	
	public EmptyMakefileGenerator() {
	}
	
	public void generateDependencies() throws CoreException {
	}

	public IPath getBuildWorkingDir() {
		return project.getFullPath().removeFirstSegments(1);
	}

	public String getMakefileName() {
		return new String(MAKEFILE_NAME);
	}

	public void regenerateDependencies(boolean force) throws CoreException {
	}

	public MultiStatus regenerateMakefiles() throws CoreException {
		MultiStatus status = new MultiStatus(
				MVMakeTestCorePlugin.getUniqueIdentifier(),
				IStatus.OK,
				new String(),
				null);
		return status;
	}

	public MultiStatus generateMakefiles(IResourceDelta delta) throws CoreException {
		MultiStatus status = new MultiStatus(
				MVMakeTestCorePlugin.getUniqueIdentifier(),
				IStatus.OK,
				new String(),
				null);
		return status;
	}

	public void initialize(IProject project, IManagedBuildInfo info, IProgressMonitor monitor) {
		this.project = project;
	}

	public boolean isGeneratedResource(IResource resource) {
		return false;
	}

}
